/*
 *  The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2021 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package dk.nsp.mingraviditet.ui.main.overview

import android.os.Bundle
import android.view.View
import com.commonsense.android.kotlin.system.extensions.replaceFragment
import dk.nsp.mingraviditet.R
import dk.nsp.mingraviditet.ui.main.more.rating.RateTheAppFragmentRaw
import dk.nsp.mingraviditet.ui.widgets.BottomSheetViewModel
import dk.nsp.mingraviditet.ui.widgets.DefaultBottomSheetDialog
import dk.nsp.mingraviditet.util.extensions.observeIfNotHandled
import dk.nsp.util.TextModel

class RateTheAppBottomSheet : DefaultBottomSheetDialog() {
    override val viewModel: BottomSheetViewModel =
        BottomSheetViewModel(TextModel.Companion.from(R.string.more_rating_title))

    override val forceFullscreen: Boolean = true

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        childFragmentManager.replaceFragment(binding.scrollView.id, RateTheAppFragmentRaw())

        viewModel.onClose.observeIfNotHandled(viewLifecycleOwner) {
            dismiss()
        }
    }
}