fastlane documentation
================
# Installation

Make sure you have the latest version of the Xcode command line tools installed:

```
xcode-select --install
```

Install _fastlane_ using
```
[sudo] gem install fastlane -NV
```
or alternatively using `brew install fastlane`

# Available Actions
## Android
### android test
```
fastlane android test
```
Runs all the tests
### android uploadDevelop
```
fastlane android uploadDevelop
```
Upload develop version to TPA
### android uploadStaging
```
fastlane android uploadStaging
```
Upload staging version to TPA (Referred to as Test on tpa.io)
### android uploadStagingNemId
```
fastlane android uploadStagingNemId
```
Upload staging version with test "nøglekort" NemID to TPA (Referred to as Test NemID on tpa.io)
### android uploadMock
```
fastlane android uploadMock
```
Upload mock version to TPA
### android uploadTpa
```
fastlane android uploadTpa
```
Upload TPA versions of: Dev, Mock, Staging and StagingNemID.
### android deploy
```
fastlane android deploy
```
Deploy a new version to the Google Play

----

This README.md is auto-generated and will be re-generated every time [_fastlane_](https://fastlane.tools) is run.
More information about fastlane can be found on [fastlane.tools](https://fastlane.tools).
The documentation of fastlane can be found on [docs.fastlane.tools](https://docs.fastlane.tools).
