/**
* DK Maternity Facade API
* This is the specification of the DK Maternity Facade API. It is a facade for the Web Services Resource Transfer DK Maternity API.
*
* The version of the OpenAPI document: 1.0.0
*
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/
package dk.nsp.models

import android.os.Parcelable
import com.squareup.moshi.Json
import kotlinx.parcelize.Parcelize

/**
 *
 * @param status
 * @param title
 * @param practitioner
 * @param location
 * @param scheduledString scheduledString from https://www.nspop.dk/display/public/web/GCP+-+Guide+til+anvendere
 * @param plannedTime
 * @param ownership
 * @param description
 * @param reference A pointer to whatever object this activity is related to
 * @param code
 * @param kind
 * @param id
 * @param careplanId A unique pointer to the careplan document from which this appointment origins
 * @param note
 * @param observations
 * @param sortDate Since activities may or may not have an actual plannedTime on them, this field is a computed date based on either plannedTime or (gestationAge + date of last period on the data-card if that exists (if it does not we just use today as the start point))
 */
@Parcelize

data class Activity(
    @Json(name = "status")
    val status: Activity.Status,
    @Json(name = "title")
    val title: kotlin.String,
    @Json(name = "practitioner")
    val practitioner: ActivityPractitioner? = null,
    @Json(name = "location")
    val location: ActivityLocation? = null,
    /* scheduledString from https://www.nspop.dk/display/public/web/GCP+-+Guide+til+anvendere */
    @Json(name = "scheduledString")
    val scheduledString: kotlin.String? = null,
    @Json(name = "plannedTime")
    val plannedTime: ActivityPlannedTime? = null,
    @Json(name = "ownership")
    val ownership: Activity.Ownership? = null,
    @Json(name = "description")
    val description: kotlin.String? = null,
    /* A pointer to whatever object this activity is related to */
    @Json(name = "reference")
    val reference: kotlin.String? = null,
    @Json(name = "code")
    val code: Code? = null,
    @Json(name = "kind")
    val kind: kotlin.String? = null,
    @Json(name = "id")
    val id: kotlin.String? = null,
    /* A unique pointer to the careplan document from which this appointment origins */
    @Json(name = "careplanId")
    val careplanId: kotlin.String? = null,
    @Json(name = "note")
    val note: Note? = null,
    @Json(name = "observations")
    val observations: kotlin.collections.List<Observation>? = null,
    /* Since activities may or may not have an actual plannedTime on them, this field is a computed date based on either plannedTime or (gestationAge + date of last period on the data-card if that exists (if it does not we just use today as the start point)) */
    @Json(name = "sortDate")
    val sortDate: java.time.LocalDateTime? = null
) : Parcelable {

    /**
     *
     * Values: Expected,Planned,Finished,Cancelled
     */
    enum class Status(val value: kotlin.String) {
        @Json(name = "expected") Expected("expected"),
        @Json(name = "planned") Planned("planned"),
        @Json(name = "finished") Finished("finished"),
        @Json(name = "cancelled") Cancelled("cancelled");
    }
    /**
     *
     * Values: CurrentUser,OtherUser
     */
    enum class Ownership(val value: kotlin.String) {
        @Json(name = "currentUser") CurrentUser("currentUser"),
        @Json(name = "otherUser") OtherUser("otherUser");
    }
}
