/**
* DK Maternity Facade API
* This is the specification of the DK Maternity Facade API. It is a facade for the Web Services Resource Transfer DK Maternity API.
*
* The version of the OpenAPI document: 1.0.0
*
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/
package dk.nsp.models

import android.os.Parcelable
import com.squareup.moshi.Json
import kotlinx.parcelize.Parcelize

/**
 *
 * @param expectedDateOfDeliveryFromLastPeriod
 * @param offsetDate Computed conception date. Computed either from ultrasound gestation age or from last period.
 * @param dateOfDelivery Computed date of delivery. Computed either from ultrasound gestation age or from last period.
 * @param gestationAge Computed gestation age formatted as 'Weeks+Days'. Computed from 273 days minus days to expectedDateOfDeliveryFromPrenatalUltrasoundScan if present. Otherwise computed from expectedDateOfDeliveryFromLastPeriod.
 * @param trimester Computed trimester (i.e. monthsIntoPregnancy/3).
 * @param monthsIntoPregnancy Computed number of months into pregnanancy. Computed from expectedDateOfDeliveryFromPrenatalUtrasoundScan if presenent and expectedDateOfDeliveryFromLastPeriod otherwise. If both are null this wil be 0
 * @param week Computed Gestation Week. Computed from gestationAge. '17+6' = 18 and '18+0' = 19
 * @param remarks
 */
@Parcelize

data class ExpectedDateOfDeliverySectionAllOf(
    @Json(name = "expectedDateOfDeliveryFromLastPeriod")
    val expectedDateOfDeliveryFromLastPeriod: ExpectedDateOfDeliverySectionAllOfExpectedDateOfDeliveryFromLastPeriod? = null,
    /* Computed conception date. Computed either from ultrasound gestation age or from last period. */
    @Json(name = "offsetDate")
    val offsetDate: java.time.LocalDateTime? = null,
    /* Computed date of delivery. Computed either from ultrasound gestation age or from last period. */
    @Json(name = "dateOfDelivery")
    val dateOfDelivery: java.time.LocalDateTime? = null,
    /* Computed gestation age formatted as 'Weeks+Days'. Computed from 273 days minus days to expectedDateOfDeliveryFromPrenatalUltrasoundScan if present. Otherwise computed from expectedDateOfDeliveryFromLastPeriod. */
    @Json(name = "gestationAge")
    val gestationAge: kotlin.String? = null,
    /* Computed trimester (i.e. monthsIntoPregnancy/3). */
    @Json(name = "trimester")
    val trimester: kotlin.Int? = null,
    /* Computed number of months into pregnanancy. Computed from expectedDateOfDeliveryFromPrenatalUtrasoundScan if presenent and expectedDateOfDeliveryFromLastPeriod otherwise. If both are null this wil be 0 */
    @Json(name = "monthsIntoPregnancy")
    val monthsIntoPregnancy: kotlin.Double? = null,
    /* Computed Gestation Week. Computed from gestationAge. '17+6' = 18 and '18+0' = 19 */
    @Json(name = "week")
    val week: kotlin.Int? = null,
    @Json(name = "remarks")
    val remarks: kotlin.String? = null
) : Parcelable
