/**
* DK Maternity Facade API
* This is the specification of the DK Maternity Facade API. It is a facade for the Web Services Resource Transfer DK Maternity API.
*
* The version of the OpenAPI document: 1.0.0
*
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/
package dk.nsp.models

import android.os.Parcelable
import com.squareup.moshi.Json
import kotlinx.parcelize.Parcelize

/**
 * A way to carry machine-readable details of errors in a HTTP response to avoid the need to define new error response formats for HTTP APIs. See [RFC7807](https://tools.ietf.org/rfc/rfc7807.txt)
 * @param type A URI reference [RFC3986](https://tools.ietf.org/rfc/rfc3986.txt) that identifies the problem type.
 * @param title A short, human-readable summary of the problem type.
 * @param status The HTTP status code [([RFC7231], Section 6)](https://tools.ietf.org/rfc/rfc7231.txt#section-6) generated by the origin server for this occurrence of the problem.
 * @param instance A URI reference that identifies the specific occurrence of the problem.
 * @param detail A human-readable explanation specific to this occurrence of the problem.
 * @param debugging Debugging information for DEV and QA environments.
 * @param invalidParams An array of validation errors.
 */
@Parcelize

data class ProblemDetails(
    /* A URI reference [RFC3986](https://tools.ietf.org/rfc/rfc3986.txt) that identifies the problem type.  */
    @Json(name = "type")
    val type: java.net.URI? = null,
    /* A short, human-readable summary of the problem type.  */
    @Json(name = "title")
    val title: kotlin.String? = null,
    /* The HTTP status code [([RFC7231], Section 6)](https://tools.ietf.org/rfc/rfc7231.txt#section-6) generated by the origin server for this occurrence of the problem.  */
    @Json(name = "status")
    val status: java.math.BigDecimal? = null,
    /* A URI reference that identifies the specific occurrence of the problem.  */
    @Json(name = "instance")
    val instance: kotlin.String? = null,
    /* A human-readable explanation specific to this occurrence of the problem.  */
    @Json(name = "detail")
    val detail: kotlin.String? = null,
    /* Debugging information for DEV and QA environments.  */
    @Json(name = "debugging")
    val debugging: kotlin.String? = null,
    /* An array of validation errors.  */
    @Json(name = "invalid-params")
    val invalidParams: kotlin.collections.List<ProblemDetailsInvalidParams>? = null
) : Parcelable
