/**
* DK Maternity Facade API
* This is the specification of the DK Maternity Facade API. It is a facade for the Web Services Resource Transfer DK Maternity API.
*
* The version of the OpenAPI document: 1.0.0
*
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/
package dk.nsp.models

import android.os.Parcelable
import com.squareup.moshi.Json
import kotlinx.parcelize.Parcelize

/**
 * Post or put this to the server to save or create up to one of each observation type related to an ultrasound scan
 * @param date time of the measurement (shall be able to be put back in time) will default to now
 * @param offsetDate time of the conception. This field is needed to calculate gestation age
 * @param activityId the ID of the careplan activity that these observations are pointing to (using a cross reference)
 * @param amnioticFluid
 * @param flow
 * @param cervix
 * @param dvp
 * @param fetuses
 */
@Parcelize

data class SaveUltrasoundObservationsRequest(
    /* time of the measurement (shall be able to be put back in time) will default to now */
    @Json(name = "date")
    val date: java.time.LocalDateTime? = null,
    /* time of the conception. This field is needed to calculate gestation age */
    @Json(name = "offsetDate")
    val offsetDate: java.time.LocalDateTime? = null,
    /* the ID of the careplan activity that these observations are pointing to (using a cross reference) */
    @Json(name = "activityId")
    val activityId: kotlin.String? = null,
    @Json(name = "amnioticFluid")
    val amnioticFluid: java.math.BigDecimal? = null,
    @Json(name = "flow")
    val flow: SaveUltrasoundObservationsRequest.Flow? = null,
    @Json(name = "cervix")
    val cervix: java.math.BigDecimal? = null,
    @Json(name = "dvp")
    val dvp: java.math.BigDecimal? = null,
    @Json(name = "fetuses")
    val fetuses: kotlin.collections.List<SaveUltrasoundObservationsRequestFetuses>? = null
) : Parcelable {

    /**
     *
     * Values: Normal,Abnormal,Tobecontinued
     */
    enum class Flow(val value: kotlin.String) {
        @Json(name = "normal") Normal("normal"),
        @Json(name = "abnormal") Abnormal("abnormal"),
        @Json(name = "tobecontinued") Tobecontinued("tobecontinued");
    }
}
