/**
* DK Maternity Facade API
* This is the specification of the DK Maternity Facade API. It is a facade for the Web Services Resource Transfer DK Maternity API.
*
* The version of the OpenAPI document: 1.0.0
*
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/
package dk.nsp.models

import android.os.Parcelable
import com.squareup.moshi.Json
import kotlinx.parcelize.Parcelize

/**
 * A grouping of observation values that relate to the fetus recorded in the same activity
 * @param activityId the ID of the careplan activity that these observations are pointing to (using a cross reference)
 * @param date
 * @param measuredBy
 * @param gestationAge Always following the week+day notation
 * @param weeksIntoPregnancy Calculated from gestationAge e.g. (22+1) = 22.14. Will return null if gestationAge is null;
 * @param ulWeight
 * @param weightDeviation
 * @param fetusPresentation
 */
@Parcelize

data class ScanningObservationTableRows(
    /* the ID of the careplan activity that these observations are pointing to (using a cross reference) */
    @Json(name = "activityId")
    val activityId: kotlin.String? = null,
    @Json(name = "date")
    val date: java.time.LocalDateTime? = null,
    @Json(name = "measuredBy")
    val measuredBy: HealthCarePerformer? = null,
    /* Always following the week+day notation */
    @Json(name = "gestationAge")
    val gestationAge: kotlin.String? = null,
    /* Calculated from gestationAge e.g. (22+1) = 22.14. Will return null if gestationAge is null; */
    @Json(name = "weeksIntoPregnancy")
    val weeksIntoPregnancy: kotlin.Double? = null,
    @Json(name = "ulWeight")
    val ulWeight: NumericValueWithUnit? = null,
    @Json(name = "weightDeviation")
    val weightDeviation: RangeValueWithUnit? = null,
    @Json(name = "fetusPresentation")
    val fetusPresentation: kotlin.String? = null
) : Parcelable
